{% extends 'base.html' %}
<link href="//maxcdn.bootstrapcdn.com/bootstrap/4.1.1/css/bootstrap.min.css" rel="stylesheet" id="bootstrap-css">
<script src="//maxcdn.bootstrapcdn.com/bootstrap/4.1.1/js/bootstrap.min.js"></script>
<script src="//cdnjs.cloudflare.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
<!------ Include the above in your HEAD tag ---------->
<!-- {% load static %} -->

{% block additionalHeader %}
	<title>Create Misi Utama</title>

	<!--Bootsrap 4 CDN-->
	<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
    
    <!--Fontawesome CDN-->
	<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.3.1/css/all.css" integrity="sha384-mzrmE5qonljUremFsqc01SB46JvROS7bZs3IO2EmfFsd15uHvIt+Y8vEf7N7fWAU" crossorigin="anonymous">

	<!--Custom styles-->
	<link rel="stylesheet" type="text/css" href="styles.css">
{% endblock %}

{% block content %}
	{% include "base.html" %}

	{% if messages %}
	<ul class="messages">
    	{% for message in messages %}
    	<li{% if message.tags %} class="{{ message.tags }}"{% endif %}>{{ message }}</li>
    	{% endfor %}
	</ul>
	{% endif %}

	<h3 class="text-center">Create Misi Utama</h3>
	<br>
	<form action="" method="POST">
		{% csrf_token %}
		<div class="form-group">
			<label for="nama_misi">Nama Misi Utama</label>
			<input class="form-control" type="text" id="nama_misi" name="nama_misi" required>
			<div class="invalid-feedback">Nama Misi Utama masih kosong!</div>
		</div>

		<div class="form-group">
			<label for="efek_energi">Efek Energi</label>
			<input class="form-control" type="number" id="efek_energi" name="efek_energi" required>
			<div class="invalid-feedback">Efek Energi masih kosong!</div>
		</div>

		<div class="form-group">
			<label for="efek_hubungan_sosial">Efek Hubungan Sosial</label>
			<input class="form-control" type="number" id="efek_hubungan_sosial" name="efek_hubungan_sosial" required>
			<div class="invalid-feedback">Efek Hubungan Sosial masih kosong!</div>
		</div>

		<div class="form-group">
			<label for="efek_kelaparan">Efek Kelaparan</label>
			<input class="form-control" type="number" id="efek_kelaparan" name="efek_kelaparan" required>
			<div class="invalid-feedback">Efek Kelaparan masih kosong!</div>
		</div>

		<div class="form-group">
			<label for="syarat_energi">Syarat Energi</label>
			<input class="form-control" type="number" id="syarat_energi" name="syarat_energi" required>
			<div class="invalid-feedback">Syarat Energi masih kosong!</div>
		</div>

		<div class="form-group">
			<label for="syarat_hubungan_sosial">Syarat Hubungan Sosial</label>
			<input class="form-control" type="number" id="syarat_hubungan_sosial" name="syarat_hubungan_sosial" required>
			<div class="invalid-feedback">Syarat Hubungan Sosial masih kosong!</div>
		</div>

		<div class="form-group">
			<label for="syarat_kelaparan">Syarat Kelaparan</label>
			<input class="form-control" type="number" id="syarat_kelaparan" name="syarat_kelaparan" required>
			<div class="invalid-feedback">Syarat Kelaparan masih kosong!</div>
		</div>

		<div class="form-group">
			<label for="completion_time">Completion Time</label>
			<input class="form-control" type="text" id="completion_time" name="completion_time" required>
			<div class="invalid-feedback">Completion Time masih kosong!</div>
		</div>

		<div class="form-group">
			<label for="reward_koin">Reward Koin</label>
			<input class="form-control" type="number" id="reward_koin" name="reward_koin" required>
			<div class="invalid-feedback">Reward Koin masih kosong!</div>
		</div>

		<div class="form-group">
			<label for="reward_xp">Reward XP</label>
			<input class="form-control" type="number" id="reward_xp" name="reward_xp" required>
			<div class="invalid-feedback">Reward XP masih kosong!</div>
		</div>

		<div class="form-group">
			<label for="deskripsi">Deskripsi</label>
			<input class="form-control" type="text" id="deskripsi" name="deskripsi" required>
			<div class="invalid-feedback">Deskripsi masih kosong!</div>
		</div>

		<input class="btn btn-primary" type="submit" value="Simpan">
	</form>

{% endblock %}
